#!/bin/bash

# Affiche par ordre décroissant les plus grand consommateur d'une conso
# La comparaison est faite avec un ILIKE, on peut donc utiliser % et _

# On peut spécifier l'année en 2ème paramètre pour prendre seulement
# les transactions ayant eu lieu depuis le 01/**09** de l'année
[ -n "$2" ] && modifier=" AND date >= '$2-09-01'"

psql note -c "SELECT string_agg(DISTINCT t.description, ','), c.nom, c.prenom, c.pseudo, SUM(t.quantite) AS qte FROM transactions AS t, comptes AS c WHERE description ILIKE '$1' AND c.idbde=t.emetteur AND valide${modifier} GROUP BY c.nom, c.prenom, c.pseudo ORDER BY qte DESC;"
